# React Native Reference

The Whereby React Native SDK is a wrapper around [react-native-webview](https://github.com/react-native-webview/react-native-webview), which allows for integrating a video experience in any React Native app. See a working example in our [repository here.](https://github.com/whereby/sdk/tree/main/apps/react-native-webview-example)

## Getting started

### Installation

Install the `@whereby.com/react-native-sdk` package from the public [npm registry](https://www.npmjs.com/package/@whereby.com/react-native-sdk).

{% tabs %}
{% tab title="npm" %}

```bash
npm install @whereby.com/react-native-sdk
```

{% endtab %}

{% tab title="yarn" %}

```bash
yarn add @whereby.com/react-native-sdk
```

{% endtab %}

{% tab title="pnpm" %}

```bash
pnpm add @whereby.com/react-native-sdk
```

{% endtab %}
{% endtabs %}

## Quick Start

{% content-ref url="/pages/aneksnq1oP6kZaQrCasH" %}
[Quick Start](/reference/react-native-reference/quick-start.md)
{% endcontent-ref %}

## API Reference

{% content-ref url="/pages/1aA5NzudH7NadCs46KkT" %}
[WherebyEmbed](/reference/react-native-reference/wherebyembed.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whereby.com/reference/react-native-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
